Subject: [Lsr] New Version for draft-wang-lsr-hbh-process-00

From: wangyali <[email-masked]>
Date: Thu, 29 Oct 2020 13:19:56 +0000

Hello WG,

Considering the Hop-by-Hop Options header has been used for IOAM [I-D.ietf-ippm-ioam-ipv6-options], Alternate Marking method [I-D.ietf-6man-ipv6-alt-mark], etc., but as specified in RFC8200, the Hop-by-Hop Options header is only examined and processed if it is explicitly configured. In this case, nodes may be configured to ignore the Hop-by-Hop Options header, drop packets containing a Hop-by-Hop Options header, or assign packets containing a Hop-by-Hop Options header to a slow processing path. Thus, the performance measurement does not account for all links and nodes along a path. In addition, packets carrying a Hop-by-Hop Options header may be dropped, which gravely deteriorates network performance.

Therefore, we propose a new draft about IGP extensions for signaling Hop-by-Hop Options header processing action at node and link granularity. Such advertisement is useful for entities (e.g., the centralized controller) to gather each router's processing action for achieving the computation of TE paths that be able to support a specific service encoded in the Hop-by-Hop Options header. 

Please let us know your opinion. Questions and comments are very welcome.

Best regards,
Yali

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, October 29, 2020 8:42 PM
To: Tianran Zhou <[email-masked]>; Huzhibo <[email-masked]>; wangyali <[email-masked]>
Subject: New Version Notification for draft-wang-lsr-hbh-process-00.txt

A new version of I-D, draft-wang-lsr-hbh-process-00.txt has been successfully submitted by Yali Wang and posted to the IETF repository.

Name:		draft-wang-lsr-hbh-process
Revision:	00
Title:		IGP Extensions for Advertising Hop-by-Hop Options Header Processing Action
Document date:	2020-10-29
Group:		Individual Submission
Pages:		10
URL:            https://www.ietf.org/archive/id/draft-wang-lsr-hbh-process-00.txt
Status:         https://datatracker.ietf.org/doc/draft-wang-lsr-hbh-process/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-wang-lsr-hbh-process
Htmlized:       https://tools.ietf.org/html/draft-wang-lsr-hbh-process-00

Abstract:
   This document extends Node and Link attribute TLVs to Interior
   Gateway Protocols (IGP) to advertise the Hop-by-Hop Options header
   processing action and supported services (e.g.  IOAM Trace Option and
   Alternate Marking) at node and link granularity.  Such advertisements
   allow entities (e.g., centralized controllers) to determine whether
   the Hop-by-Hop Options header and specific services can be supported
   in a given network.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat